import bb.cascades 1.0

Page {
    id: page

    titleBar: TitleBar {
        title: root.activeTab.title
    }

    Container {
        topPadding: 15
        leftPadding: 15
        rightPadding: 15

        Label {
            id: theLabel
            multiline: true
            text: "<html>Click on this sweet <a href='http://peterhansen.ca'>URL</a> ;-).</html>"

            activeTextHandler: myATH
            content.flags: TextContentFlag.ActiveText | TextContentFlag.Emoticons
            textStyle.base: SystemDefaults.TextStyles.BigText
        }
    }

    attachedObjects: [
        ActiveTextHandler {
            id: myATH

            onTriggered: {
                print('ath triggered');
                if (event) {
                    print('event is', event);

                    // Abort the default action for the active text if the active text
                    // contains a href.
                    if (!event.href.isNull()) {
                        print('aborting');
                        event.abort();
                        print('text is', event.text);
                    }
                }
                else {
                    print('event is undefined');
                }
            }
        }
    ]
}
