import bb.cascades 1.0

Page {
    titleBar: TitleBar {
        title: root.activeTab.title
    }

    Container {
        TextField {
            id: tfield
            inputMode: TextFieldInputMode.Default
        }

        DropDown {
            title : "Mode"
            enabled : true

            onSelectedIndexChanged: {
                tfield.inputMode = selectedOption.value;
            }

            Option {
                text : "Default"
                value : TextFieldInputMode.Default
                selected : true
            }

            Option {
                text : "Text"
                value : TextFieldInputMode.Text
            }

            Option {
                text : "EmailAddress"
                value : TextFieldInputMode.EmailAddress
            }

            Option {
                text : "Password"
                value : TextFieldInputMode.Password
            }

            Option {
                text : "Chat"
                value : TextFieldInputMode.Chat
            }

            Option {
                text : "Url"
                value : TextFieldInputMode.Url
            }

            Option {
                text : "PhoneNumber"
                value : TextFieldInputMode.PhoneNumber
            }

            Option {
                text : "NumbersAndPunctuation"
                value : TextFieldInputMode.NumbersAndPunctuation
            }

            Option {
                text : "NumericPassword"
                value : TextFieldInputMode.NumericPassword
            }

            Option {
                text : "Pin"
                value : TextFieldInputMode.Pin
            }
        }
    }
}
