
import os
import base64

import tart


class App(tart.Application):
    def onQmlMessage(self, count):
        tart.send('foo', wa=3.14, b='test', c=dict(d=count, e=2), f=[1, 2, 3.14, 'four', None])


    IMAGE_HEADER = 'data:image/png;base64,'
    count = 1

    def onImage(self, data):
        # tart.log('got image', len(data))
        FILENAME = 'shared/misc/QmlStudies/assets/graph-{}.png'.format(self.count)
        self.count = 3 - self.count
        bytes = base64.decodebytes(data[len(self.IMAGE_HEADER):].encode('ascii'))
        with open(FILENAME, 'wb') as f:
            f.write(bytes)
        # tart.log('wrote to file', FILENAME)
        tart.send('imageUpdated', filename=os.path.basename(FILENAME))


    def onFindDaysLeft(self):
        import datetime as dt
        left = (dt.date(2013, 1, 11) - dt.date.today()).days
        tart.send('daysLeft', days=left)


# EOF
