import bb.cascades 1.0
import QtQuick 1.0
import "../tart.js" as Tart

NavigationPane {
    id: thisPane

    Page {
        id: thisPage
        property int counter: 0

        titleBar: TitleBar {
            title: root.activeTab.title
        }

        Container {
            Label {
                id: label
                text: "QML Studies 2"
            }

            Button {
                text: "Post Msg"
                onClicked: {
                    Tart.send('qmlMessage', {count: ++thisPage.counter});
                }
            }

            Label {
                text: 'testing'
            }

            Container {
                id: box
                preferredHeight: 300
                background: Color.Blue
            }
        }
    }

    //~ attachedObjects: ComponentDefinition {
        //~ id: dynPage
        //~ source: "TestComponent.qml"
    //~ }

    onPopTransitionEnded: {
        console.log('pop ended');
        console.log('page is', page);
        page.destroy();
        if (splash === page) {
            print('splash === page');
        }
        if (splash == page) {
            print('splash == page');
        }
        if (splash != page) {
            print('splash != page');
        }
        if (splash !== page) {
            print('splash !== page');
        }
        splash = undefined;
        console.log('handler done');
    }

    function onFoo(data) {
        //~ var page = dynPage.createObject();
        var comp = Qt.createComponent("TestComponent.qml");
        //~ try {
            //~ var page = Qt.createQmlObject("import bb.cascades 1.0; Page { Container { background: Color.Red; preferredHeight: 100; preferredWidth: 100;}}", root);
        //~ } catch (err) {
            //~ console.log('got error', err);
        //~ }
        console.log('component:', comp);
        splash = comp.createObject(thisPane);
        console.log('page:', splash);
        splash.onBack.connect(thisPane.pop);
        thisPane.push(splash);
        console.log('pushed');
    }

    onCreationCompleted: {
        Tart.Tart.onFoo = onFoo;
    }
}
